<?php
/*
Plugin : Piwishadow
Plugin URI: http://binaryworld.hd.free.fr/
*/
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
load_language('plugin.lang', PIWISHADOW_PATH);


function assign_vars($section, $vars) {
	global $template;
	foreach ($vars as $key => $value) {
		$template->assign($section .'_'. $key, $value);
	}	
}

$piwishadow = get_plugin_data($plugin_id);
 
if (!empty($_POST['save']))
{
	// Modal overlay libraries
	$piwishadow->config->modalOverlayLib = $_POST['modalOverlayLib'];
	$piwishadow->config->modalOverlayTheme = $_POST['modalOverlayTheme'];
	
	// Mediaplayer configuration
	$piwishadow->config->mediaFilePattern = stripslashes( $_POST['mediaFilePattern'] );
	$piwishadow->config->content->displayMediaPlayer = isset($_POST['content_displayMediaPlayer']);
	
	// HD shadowbox configuration
	$piwishadow->config->content->displayHdPictureInOverlay = isset($_POST['content_displayHdPictureInOverlay']);
	$piwishadow->config->content->hdPicturePrefilterPattern = stripslashes( $_POST['content_hdPicturePrefilterPattern'] );
	$piwishadow->config->content->hdPicturePrefilterReplacement = stripslashes( $_POST['content_hdPicturePrefilterReplacement'] );
	
	// Slideshow shadowbox configuration
	$piwishadow->config->slideshow->displayInOverlay = isset($_POST['slideshow_displayInOverlay']);
	$piwishadow->config->slideshow->prefilterPattern = stripslashes( $_POST['slideshow_prefilterPattern'] );
	$piwishadow->config->slideshow->prefilterReplacement = stripslashes( $_POST['slideshow_prefilterReplacement'] );
	
	// Thumbnail configuration
	$piwishadow->config->thumbnail->displayContentInOverlay = isset($_POST['thumbnail_displayContentInOverlay']);
	$piwishadow->config->thumbnail->displayMediaPlayerIcon = isset($_POST['thumbnail_displayMediaPlayerIcon']);
	$piwishadow->config->thumbnail->displayContentIcon = isset($_POST['thumbnail_displayContentIcon']);
	$piwishadow->config->thumbnail->displayContentPageInOverlay = isset($_POST['thumbnail_displayContentPageInOverlay']);
		
	$piwishadow->saveConfig();
	unset($_POST['save']);
}
 
global $template;
$template->set_filenames( array('plugin_admin_content' => dirname(__FILE__).'/piwishadow_admin.tpl') );

$config = (!empty($_POST['restore'])) ? $piwishadow->getDefaultConfig() : $piwishadow->getConfig();

$libs = $piwishadow->getInstalledOverlayLibs();
$template->assign('modalOverlayLibs', $libs);
$template->assign('modalOverlayLibsSelected', $config->modalOverlayLib);

$themes = array();
foreach ($libs as $lib) {
	$themes[$lib] = array();
	foreach ($piwishadow->getOverlayLib($lib)->getThemes() as $value) {
		$themes[$lib][$value] = $value;
	};
}
$template->assign('modalOverlayThemes', $themes);
$template->assign('modalOverlayThemesSelected', array($config->modalOverlayLib => $config->modalOverlayTheme));


$template->assign('mediaFilePattern', $config->mediaFilePattern);
assign_vars('content', (array) $config->content);
assign_vars('slideshow', (array) $config->slideshow);
assign_vars('thumbnail', (array) $config->thumbnail);

unset($_POST['restore']);
unset($_POST['cancel']);

$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');


?>